;==============================================================================
;
; Copyfile.ini
;
;==============================================================================

;------------------------------------------------------------------------------
; Install Mode
;------------------------------------------------------------------------------
[INSTALL]
VERSION=8.4.1

[APPLIINFO]
APP_00=VIRTUAL
CHECK_00=1
ICON_00=\Bin\x86\Connect.exe

[FOLDER]
INSTALL=\silex technology\SX Virtual Link
FOLDER_00=

;------------------------------------------------------------------------------
; SX Virtual Link
;------------------------------------------------------------------------------
[VIRTUAL_INFO]
CLASSNAME_00=SX_VIRTUAL_LINK;SX Virtual Link;525
OS_00=7:7,2008R2
OS_01=7X64:7X64,2008R2X64
OS_02=8:8,81,2012,2012R2
OS_03=8X64:8X64,81X64,2012X64,2012R2X64
OS_04=10:10,SERVER
OS_05=10X64:10X64,SERVERX64
EXECFILE_00=\Connect.exe;-M
UAC=" "
CONNECT=HLM;Software\silex\SX Virtual Link;AutoStart;OFF;OFF
REG_000=HLM;Software\SILEX\SX Virtual Link
REG_001=HCU;Software\SILEX\SX Virtual Link
REG_002=HCU;Software\SILEX\SX Virtual Link\Svlscapi
REG_003=HCU;Software\SILEX\SX Virtual Link\Option
REG_004=HCU;Software\SILEX\SX Virtual Link\Filter
REG_005=HCU;Software\SILEX\SX Virtual Link\Svlscapi\Broadcast
REG_006=HCU;Software\SILEX\SX Virtual Link\Svlscapi\Mode
REG_007=HCU;Software\SILEX\SX Virtual Link\Svlscapi\Device
REG_008=HCU;Software\SILEX\SX Virtual Link\Svlscapi\Device\*.*
REGEX_00=COMMON;HLM;Software\SILEX\SX Virtual Link;StartupTimer;DWORD;15;NOT;PROTECT
RUNONCE_00=OTHER;HCU;SX Virtual Link;Connect.exe

[VIRTUAL_ICF]
;Windows XP
ADDFILE_000=\Connect.exe;SX Virtual Link
ADDPORT_000=19540;UDP;SXUPTP
;Windows 7
ADDFILE2_000=\Connect.exe;SX Virtual Link
ADDPORT2_000=19540;UDP;SXUPTP

[VIRTUAL_COMPONENT]
INIFILE=\Bin\Sxcsapi\Sxcsapi.ini
DRIVER_00=SXUPTP;Sxuptp Driver;INSTALL
UNINST_DRIVER_00=SXUPTP;Sxuptp Driver;UNINSTALL

[VIRTUAL_COMMON]
;Uninstall
FILE_000=Couninst.ini;@LAN;\
FILE_001=Coflist.ini;\;\
FILE_002=Left.bmp;\Bin\Images;\
FILE_003=Top.bmp;\Bin\Images;\
FILE_004=Top_icon.bmp;\Bin\Images;\
;SX Virtual Link
FILE_005=Svlmsg.ini;@LAN;\
;Sxuptp Driver
FILE_006=Sxcsapi.ini;\Bin\Sxcsapi;\
;Help
FILE_007=index.htm;@LAN\Help;\Help
FILE_008=*.*;@LAN\Help\Source;\Help\Source
FILE_009=*.*;@LAN\Help\Include;\Help\Include
FILE_010=*.*;@LAN\Help\Images;\Help\Images

[VIRTUAL_7]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SX Virtual Link
FILE_002=Connect.exe;\Bin\x86;\
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=*.*;\Bin\x86\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win7;\Win7

[VIRTUAL_7X64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SX Virtual Link
FILE_002=Connect.exe;\Bin\x64;\
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=*.*;\Bin\x64\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win7X64;\Win7X64

[VIRTUAL_8]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SX Virtual Link
FILE_002=Connect.exe;\Bin\x86;\
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=*.*;\Bin\x86\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win8;\Win8

[VIRTUAL_8X64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SX Virtual Link
FILE_002=Connect.exe;\Bin\x64;\
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=*.*;\Bin\x64\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win8X64;\Win8X64

[VIRTUAL_10]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SX Virtual Link
FILE_002=Connect.exe;\Bin\x86;\
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=*.*;\Bin\x86\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win10;\Win10

[VIRTUAL_10X64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SX Virtual Link
FILE_002=Connect.exe;\Bin\x64;\
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=*.*;\Bin\x64\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win10X64;\Win10X64

[VIRTUAL_UNINSTLOG]
;Uninstall
UNINSTLOG=Coflist.ini
UNINSTMES=Couninst.ini
;Registry
REGISTKEY=SX Virtual Link
DISPNAME=SX Virtual Link
DISPVERSION=5.1.1
DISPICON=Connect.exe,0
VERSION=5.1.1
UNINSTALLSTRING=Couninst.exe
MODE=REMOVE
MODIFYPATH=Couninst.exe
PUBLISHER=silex technology, Inc.
